list_config_sections(3)

NAME
list_config_sections - Lists the names of all sections available in the current configuration. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int list_config_sections(const char ***names);

DESCRIPTION
The names parameter is a pointer to an array of strings. If it points to a NULL pointer, the list will be allocated, else it will be re-allocated. After the function returns, it will contain the names of all sections in the current configuration. Use free_config_entries to free the allocated memory again. See list_config_entries for more information and an example how to use it.

RETURN VALUE
Returns the number of valid strings in the names array.

SEE ALSO
list_config_entries(3), set_config_file(3), get_config_string(3), free_config_entries(3)